%define upstream_name    App-Countdown
%define upstream_version 0.4.3

Name:       countdown
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Like sleep, only displays the amount of time remaining
License:    MIT
Group:      File tools
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildRequires: perl
BuildArch:  noarch

%description
countdown is similar to sleep, only displays the amount of time remaining
to go.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes META.yml README
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.4.3-7.mga6
+ Revision: 1022107
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.4.3-6.mga6
+ Revision: 972140
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 danf <danf> 0.4.3-5.mga6
+ Revision: 896115
- Added missing BuildRequires: perl(Module::Build)

* Sun Oct 19 2014 umeabot <umeabot> 0.4.3-4.mga5
+ Revision: 790287
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.3-3.mga5
+ Revision: 743330
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.3-2.mga5
+ Revision: 678556
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.4.3-1.mga5
+ Revision: 582096
- New version 0.4.3

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 503481
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 348190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 shlomif <shlomif> 0.2.0-1.mga3
+ Revision: 318917
- New version 0.2.0

* Wed Nov 14 2012 shlomif <shlomif> 0.0.4-1.mga3
+ Revision: 317864
- New version 0.0.4

* Tue Nov 13 2012 shlomif <shlomif> 0.0.2-1.mga3
+ Revision: 317538
- Fix summary and group.
- countdown package based on the Mageia ack package

